body{
  font-family: 'Roboto', sans-serif;
  min-height: 100vh;
  background: #f2f2f2;
  position: relative;
  margin: 0px 0px 0px 0px;
}
body::before{
  content: '';
  position: absolute;
  width: 100%;
  background: #FF676D;
  clip-path: inset(50% 0 0 0);
  z-index: -1;
  height: 100%;
  
  
}

@media all and (max-width: 768px) {
   body::before {
      background: #f2f2f2;
   }
}


/**
/* Ẩn hiển thị mà hình trên 768  dưới 768
**/

.hienthitren768 {


}
.hienthiduoi768 {

 display: none;
}
@media screen and (max-width: 768px) {
  .hienthitren768 {

    display: none;

  }
    .hienthiduoi768 {

    display: block;

  }
}


/**
/* menu chính 
**/
.menutren {
  position: relative;
  overflow: hidden;
  background-color: #FF676D;
  height : 60px;
  z-index: 1;
}

.menutren a {
  float: left;
  color: #f2f2f2;
  text-align: center;
  padding: 5px 30px;
  text-decoration: none;
  font-size: 17px;
  z-index: 1;

}

.menutren a:hover {
  background-color: #727C87;
  color: black;
}

.menutren a.active {
  background-color: #04AA6D;
  color: white;
}

.menutren-centered a {
  float: none;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.menutren-right {
  float: right;
  padding: 7px 0px 7px 0px;

}

.menutren-left {
  float: left;
  padding: 7px 0px 7px 0px;

}

/* Responsive navigation menu (for mobile devices) */
@media screen and (max-width: 250px) {
  .menutren a, .topnav-right {
    float: none;
    display: block;
  }

  .menutren-centered a {
    position: relative;
    top: 0;
    left: 0;
    transform: none;
  }
}




.topnav {
  position: relative;
  overflow: hidden;
  background-color: #FF676D;
  height : 60px;
  z-index: 1;
}

.topnav a {
  float: left;
  color: #f2f2f2;
  text-align: center;
  padding: 5px 30px;
  text-decoration: none;
  font-size: 17px;
  z-index: 1;


}

.topnav a:hover {
  background-color: #ddd;
  color: black;
}

.topnav a.active {
  background-color: #04AA6D;
  color: white;
}

.topnav-centered a {
  float: none;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1;
}

.topnav-right {
  float: right;
  padding: 7px 0px 7px 0px;

}

.topnav-left {
  float: left;
  padding: 7px 0px 7px 0px;

}

.topnav .search-container {
  float: center;
  position: absolute;
  top: 60%;
  left: 57%;
  transform: translate(-50%, -50%);
  width: 100%;
  z-index: 1;
}
.topnav input[type=text] {
  float: center;
  padding: 6px;
  margin-top: 2px;
  font-size: 17px;
  border: none;
  width: 72%;
}
.topnav .search-container button {
  float: center;
  padding: 6px 10px;
  margin-top: 8px;
  margin-right: 16px;
  font-size: 17px;
  border: none;
  cursor: pointer;
}
/* Responsive navigation menu (for mobile devices) */
@media screen and (max-width: 250px) {
  .topnav a, .topnav-right {
    float: none;
    display: block;
  }

  .topnav-centered a {
    position: relative;
    top: 0;
    left: 0;
    transform: none;
  }
}


.header {
  background-color: #f1f1f1;
  padding: 0px;
  text-align: center;
}

#navbar {
  overflow: hidden;
  background-color: #333;
  z-index: 1;
}

#navbar a {
  float: left;
  display: block;
  color: #f2f2f2;
  text-align: center;
  padding: 5px 16px;
  text-decoration: none;
  font-size: 17px;
}

#navbar a:hover {
  background-color: #ddd;
  color: black;
}

#navbar a.active {
  background-color: #04AA6D;
  color: white;
}

.content {
  padding: 16px;
}

.sticky {
  position: fixed;
  top: 0;
  width: 100%;
}

.sticky + .content {
  padding-top: 60px;
}
/**
/* Tiêu đề 
**/
.tieude {
    color: #FF0033;
	font-size: 1.500rem;
	text-decoration: none;
}
a.tieude {
    margin-left: 0px;
    color: #FF0033;
	text-decoration: none;
}
a.tieude:hover {
    color: #F1C40F;
}
/**
/* Hiển thị block trên máy tính giữa 
**/
.trangchumaytinh {
  width: 100%;
  max-width: 1100px;
  height: auto;
  height: auto;
  display: block;
  margin-left: auto;
  margin-right: auto;
  padding: 10px;
}
/**
/* Hiển thị block trên máy tính giữa 
**/
.trangchumaytinhsanpham {
  width: 100%;
  max-width: 1100px;
  height: auto;
  height: auto;
  display: block;
  margin-left: auto;
  margin-right: auto;
  padding: 5px;
}
/**
/* block cart sản phẩm
**/
/* Create two equal columns that floats next to each other */
.column {
  float: left;
  width: 20%;
  height: 310px; /* Should be removed. Only for demonstration */
  margin-top: 10px;

}

/* Clear floats after the columns */
.row:after {
  width: 100%;
 
  display: table;
  clear: both;

}

.product-card {
	margin: 8px 0px 8px 3px;
    position: relative;
    box-shadow: 0 2px 7px #dfdfdf;

	width: 95%;
	height: 310px;
    background: #FCFCFC;
	  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}
.product-card:hover {
    box-shadow: 0 2px 7px #F1C40F;
}

.badge {
    position: absolute;
    left: 0;
    top: 20px;
    text-transform: uppercase;
    font-size: 13px;
    font-weight: 700;
    background: red;
    color: #fff;
    padding: 3px 10px;
}
.badgevanchuyen {
    position: absolute;
    right: 0;
    top:  20px;
    text-transform: uppercase;
    font-size: 13px;
    font-weight: 700;
    background: #F1C40F;
    color: #fff;
    padding: 3px 3px;
}
.product-tumb {
    display: flex;
    align-items: center;
    justify-content: center;

    padding: 0px 0px;
    background: #f0f0f0;
	  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

.product-tumb img {
    max-width: 100%;
    max-height: 100%;
	  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

.product-details {
    padding: 5px;
}

.product-title {
    display: block;
    font-size: 12px;
    font-weight: 700;
    color: #ccc;
    margin-bottom: 5px;
	margin-top: 10px;

}

.product-title a {
    display: inline-block;
    margin-left: 0px;
    color: #363636;
    transition: 0.3s;
    font-size: 17px;
	font-weight: 500;
	text-decoration: none;
}

.product-title a:hover {
    color: #C69F00;
}

.product-details h4 a {
    font-weight: 500;
    display: block;
    margin-bottom: 18px;
    text-transform: uppercase;
    color: #363636;
    text-decoration: none;
    transition: 0.3s;
}

.product-details h4 a:hover {
    color: #fbb72c;
}

.product-details p {
    font-size: 15px;
    line-height: 22px;
    margin-bottom: 18px;
    color: #999;
}

.product-bottom-details {
    overflow: hidden;
    padding-top: 1px;

}

.product-bottom-details div{
    float: left;
    width: 95%;
	position: absolute;
	bottom: 5px;
}

.product-price {
    font-size: 18px;
    color: #FF0033;
    font-weight: 600;
	padding-left: 5px;
}

.product-price small {
    font-size: 80%;
    font-weight: 400;
    text-decoration: line-through;
    display: inline-block;
    margin-right: 5px;
}
.product-shopphai {
    color: #fbb72c;
	font-size: .700rem;
	text-align: right;
}
.product-shopphai a {
    display: inline-block;
    margin-left: 0px;
    color: #B1B1B1;
    transition: 0.3s;
    font-size: .700rem;
	text-decoration: none;
}

.product-shopphai a:hover {
    color: #fbb72c;
}
.product-shoptrai {
    color: #fbb72c;
	font-size: .700rem;
	text-align: left;
}
.product-shoptrai a {
    display: inline-block;
    margin-left: 0px;
    color: #B1B1B1;
    transition: 0.3s;
    font-size: .700rem;
	text-decoration: none;
}

.product-shoptrai a:hover {
    color: #fbb72c;
}
.product-diadiemtrai {
    text-align: left;
	color: #B1B1B1;
	font-size: .700rem;
}
.product-diadiemtrai a {
    display: inline-block;
    margin-left: 5px;
    color: #B1B1B1;
    transition: 0.3s;
    font-size: .700rem;
	text-decoration: none;
}
.product-diadiemtrai a:hover {
    color: #fbb72c;
}
.product-diadiemphai {
    text-align: right;
	color: #B1B1B1;
	font-size: .700rem;
}
.product-diadiemphai a {
    display: inline-block;
    margin-left: 5px;
    color: #B1B1B1;
    transition: 0.3s;
    font-size: .700rem;
	text-decoration: none;
}
.product-diadiemphai a:hover {
    color: #fbb72c;
}



@media screen and (max-width: 650px) {
  .column {
  float: left;
  width: 50%;
  height: 310px; /* Should be removed. Only for demonstration */

}
  .product-card {
	width: 98%;
}
}

/**
/* From đăng nhập đăng kí Add padding to containers 
**/

.containerdangnhap {
  padding: 16px;
  background-color: white;
}

/* Full-width input fields */
input[type=text], input[type=password], input[type=number] {
  width: 100%;
  padding: 15px;
  margin: 5px 0 22px 0;
  display: inline-block;
  border: none;
  background: #f1f1f1;
}

input[type=text]:focus, input[type=password]:focus , input[type=number]:focus{
  background-color: #ddd;
  outline: none;
}

/* Overwrite default styles of hr */
hr {
  border: 1px solid #f1f1f1;
  margin-bottom: 25px;
}

/* Set a style for the submit button */
.registerbtn {
  background-color: #04AA6D;
  color: white;
  padding: 16px 20px;
  margin: 8px 0;
  border: none;
  cursor: pointer;
  width: 100%;
  opacity: 0.9;
}

.registerbtn:hover {
  opacity: 1;
}

/* Add a blue text color to links */


/* Set a grey background color and center the text of the "sign in" section */
.signin {
  background-color: #f1f1f1;
  text-align: center;
  border: 1px solid #4CAF50;
}

/**
/* danh sách sản phẩm có nhập tìm kiếm
**/

* {
  box-sizing: border-box;
}

#khunginput {

  background-position: 10px 10px;
  background-repeat: no-repeat;
  width: 100%;
  font-size: 16px;
  padding: 12px 5px 12px 5px;
  border: 1px solid #ddd;
  margin-bottom: 12px;
}
#myInput {
  background-image: url('css/searchicon.png');
  background-position: 10px 10px;
  background-repeat: no-repeat;
  width: 100%;
  font-size: 16px;
  padding: 12px 5px 12px 5px;
  border: 1px solid #ddd;
  margin-bottom: 12px;
}

#myTable {
  border-collapse: collapse;
  width: 100%;
  border: 1px solid #ddd;
  font-size: 16px;
  padding: 12px 5px 12px 5px;
}

#myTable th, #myTable td {
  text-align: left;
  padding: 12px;
}

#myTable tr {
  border-bottom: 1px solid #ddd;
}

#myTable tr.header, #myTable tr:hover {
  background-color: #f1f1f1;
}

/**
/* button border xung quanh hover màu
**/
.btn {
  border: 2px solid black;
  border-radius: 5px;
  background-color: white;
  color: black;
  padding: 5px 28px;
  font-size: 16px;
  cursor: pointer;
}

/* Green */
.success {
  border-color: #04AA6D;
  color: green;
}

.success:hover {
  background-color: #04AA6D;
  color: white;
}

/* Blue */
.info {
  border-color: #2196F3;
  color: dodgerblue
}

.info:hover {
  background: #2196F3;
  color: white;
}

/* Orange */
.warning {
  border-color: #ff9800;
  color: orange;
}

.warning:hover {
  background: #ff9800;
  color: white;
}

/* Red */
.danger {
  border-color: #f44336;
  color: red
}

.danger:hover {
  background: #f44336;
  color: white;
}

/* Gray */
.default {
  border-color: #e7e7e7;
  color: black;
}

.default:hover {
  background: #e7e7e7;
}

/**
/* button nền màu
**/
.btnnen {
  border: none;
  color: white;
  padding: 2px 28px;
  font-size: 16px;
  cursor: pointer;
  border-radius: 5px;
}

.btnnensuccess {background-color: #04AA6D;} /* Green */
.btnnensuccess:hover {background-color: #46a049;}

.btnneninfo {background-color: #2196F3;} /* Blue */
.btnneninfo:hover {background: #0b7dda;}

.btnnenwarning {background-color: #ff9800;} /* Orange */
.btnnenwarning:hover {background: #e68a00;}

.btnnendanger {background-color: #f44336;} /* Red */ 
.btnnendanger:hover {background: #da190b;}

.btnxemshop {background-color: #fa8231;} /* xem shop */ 
.btnxemshop:hover {background: #FFDE18;}

.btnnendefault {background-color: #e7e7e7; color: black;} /* Gray */ 
.btnnendefault:hover {background: #ddd;}


/**
/* button nền màu đỏ đặt hàng
**/
.btnnendathang {
  border: none;
  color: white;
  padding: 7px 28px;
  font-size: 16px;
  cursor: pointer;
  border-radius: 5px;
  background-color: #f44336;
}
.btnnendathang:hover {background: #FCDF03;}
/**
/* khung đặt hàng thành công
**/
.khungthongtindathangthanhcong {
  float: left;
  background-color: #FFF9D9;
  border: 1px solid #F1C40F;
  padding: 5px 5px 5px 5px;
  width: 100%;
  margin: 50px 0px 50px 0px;
  text-align: center;
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  font-size: 1.950rem;
}
.khungthongtindathangthanhcong a {
    color: #FF0033;
	font-size: .950rem;
	text-decoration: none;
}
.khungthongtindathangthanhcong a:hover {
   color: #F1C40F;
}

/**
/* thông báo popup đen tự đóng
**/
.thongbaopopup {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}
.thongbaopopup-content {
  background-color: #505050;
  margin: auto;
  padding: 20px;
  border: 0px solid #000000;
  width: 250px;
  height: 250px;
  color: #FFFFFF;
  font-size: 1.550rem;
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  text-align: center;
}

/**
/* khung thông tin chat trong phần thành viên
**/
.khungthongtindongchatshop {
  float: left;
  background-color: #FCFCFC;
  border-top: 0px solid #F1C40F;
  padding: 5px 5px 0px 5px;
  width: 100%;
  margin-top: 0px;
  position: relative;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}
.khungthongtindongchatshoptrong {
  float: left;
  background-color: #FCFCFC;
  border-top: 0px solid #F1C40F;
  padding: 0px 0px 0px 0px;
  width: 100%;
  margin-top: 0px;
  position: relative;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}
.khungthongtindongchatshop a {
    color: #FF0033;
	font-size: .950rem;
	text-decoration: none;
}
.khungthongtindongchatshop a:hover {
   color: #F1C40F;
}

.khungthongtindongchatshophinh {
  float: left;
  width: 60px;
  padding: 8px 8px;
  border: 0px solid #F3DB97;

}
.khungthongtindongchatshopsdt {
 
  padding: 8px 8px;
  border: 0px solid #F3DB97;
}
/**
/* image tron 
**/
.imagetron {
  border-radius: 50%;
  border: 3px solid #FF676D;
  object-fit: cover;
}

/**
/* pagani phân trang 
**/

  .pagination {
  display: inline-block;
}

.pagination a {
  color: black;
  float: left;
  padding: 8px 16px;
  text-decoration: none;
  transition: background-color .3s;
  border: 1px solid #ddd;
  background-color: #FFFFFF;
}

.pagination a.active {
  background-color: #ddd;
  color: white;
  border: 1px solid #4CAF50;
}

.pagination a:hover:not(.active) {background-color: #ddd;}

.khungphantrang {
  float: left;
  border-top: 0px solid #F1C40F;
  padding: 5px 5px 5px 5px;
  width: 100%;
  margin-top: 15px;
  position: relative;
}
/**
/* ảnh đại diện shop 
**/
.imagetronshop {
  border-radius: 50%;
  border: 3px solid #FFFFFF;
  object-fit: cover;
}
.khungimagetron{
  height: 107px;
  width: 107px;
  border-radius: 50%;
  padding: 3px 5px 5px 3px;
  background: #FF676D;

}

/* hien thi khung thông tin shop theo hang ngang và di động*/

.khungthongtinshop {
  float: left;
  background-color: #F8EFBA;
  border: 1px solid #F1C40F;
  padding: 5px 5px 5px 5px;
  width: 100%;
  margin-bottom: 16px;
    border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;

}
.columnshop {
  float: left;
  width: 20%;
  padding: 8px 8px;
}

.khungthongtinshopdidong {
  float: left;
  background-color: #F8EFBA;
  border: 1px solid #F1C40F;
  padding: 5px 5px 5px 5px;
  width: 100%;
  margin-bottom: 16px;
    border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;

}
.columnshopdidong {
  float: left;
  width: 50%;
  padding: 8px 8px;
}
.columnshopdidong100 {
  float: left;
  width: 100%;
  padding: 8px 8px;
}